.app-container {
    position:fixed;
    display:flex; 
    flex:1; 
    flex-flow:row nowrap;
    background-color:yellow;
    width:100vw; 
    height:100vh;
    overflow: hidden;    
    touch-action: none;
}

.app-menu-left-container {
    position:absolute;
    display:flex;
    flex-flow:column nowrap;    
    width:290px;
    left:0px;
    z-index:1000;
    height: 100%;
    background-color: blueviolet;
}

.app-content-container {
    display:flex;    
    flex:1;
    flex-flow:column wrap;
    height: 100vh;
    --background-color: orangered;
}

.app-content-header {
    display:flex;    
    width:100%;
    flex-flow:column wrap;
    height: 50px;
    background-color: gray;
}

.app-content {
    display:flex;
    flex:1;
    flex-flow:column wrap;
    --min-height: 100%;    
    --background-color: pink;
    overflow: hidden;
}

.app-content-footer {
    display:flex;    
    width:100%;
    min-height:30px;
    flex-flow:column wrap;    
    background-color: gray;
}

.app-login-container {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color:yellow;
    justify-content: center;
    align-items: center;
    display:flex;
    flex:1;
    z-index:1000;    

    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#a90329+0,8f0222+44,6d0019+100;Brown+Red+3D */
    background: #a90329; /* Old browsers */
    background: -moz-radial-gradient(center, ellipse cover, #a90329 0%, #8f0222 44%, #6d0019 100%); /* FF3.6-15 */
    background: -webkit-radial-gradient(center, ellipse cover, #a90329 0%,#8f0222 44%,#6d0019 100%); /* Chrome10-25,Safari5.1-6 */
    background: radial-gradient(ellipse at center, #a90329 0%,#8f0222 44%,#6d0019 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#a90329', endColorstr='#6d0019',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */        
}